export declare class Spinner {
    el: HTMLIfxSpinnerElement;
    readonly size: string;
    readonly variant: string;
    readonly inverted: boolean;
    readonly ariaLabel: string | null;
    componentDidLoad(): Promise<void>;
    render(): any;
    private getSizeClass;
    private getClassNames;
}
